<form class="add-form" [formGroup]="addForm">
  <span class="add-form__close-button" (click)="closeForm()"></span>
  <h2 class="add-form__title">Add New Unit Conversion</h2>
  <hr class="add-form__separator" />
  <h3 class="add-form__group-name">
    Type of Unit Conversion
  </h3>
  <mat-form-field class="add-form__input" appearance="outline" floatLabel="never" hideRequiredMarker="true">
    <input matInput placeholder="e.g. Mass, Length, Areas" formControlName="name" />
  </mat-form-field>
  <h3 class="add-form__group-name">
    Type of Unit Conversion
  </h3>
  <mat-form-field class="add-form__input" appearance="outline" floatLabel="never" hideRequiredMarker="true">
    <input matInput placeholder="e.g. Area units with dimension of AREA, L2" formControlName="description" />
  </mat-form-field>
  <h3 class="add-form__group-name">
    Unit List
  </h3>
  <div class="add-form__units ps-always" perfectScrollbar>
    <mat-form-field
      *ngFor="let unit of units.controls; let i = index"
      class="add-form__input"
      appearance="outline"
      floatLabel="never"
      hideRequiredMarker="true"
      formGroupName="units"
    >
      <input matInput [placeholder]="!i ? 'e.g. Kilogram per Cubic(Kg/m3)' : ''" formControlName="{{ i }}" />
    </mat-form-field>
  </div>
  <span class="add-form__units-add-button" (click)="addUnits()">+ More Units</span>
  <button mat-flat-button class="add-form__button" [disabled]="!addForm.valid" (click)="nextForm()">Next</button>
  <button mat-flat-button class="add-form__button add-form__button--cancel" (click)="closeForm()">Cancel</button>
</form>
